Bug 14526 - Debugger tooltips defocus main window
Summary: Debugger tooltips defocus main window
Status: REOPENED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: Debugger (show other bugs)
Version: unspecified
Hardware: PC Windows
: Normal normal
Target Milestone: master
Assignee: Cody Russell
URL:
Depends on:
Blocks:
 
Reported: 2013-09-07 19:44 UTC by Mikayla Hutchinson [MSFT]
Modified: 2015-03-20 13:29 UTC (History)
3 users (show)

Tags: gtk
Is this bug a regression?: ---
Last known good build:

Notice (2018-05-24): bugzilla.xamarin.com is now in read-only mode.

Please join us on Visual Studio Developer Community and in the Xamarin and Mono organizations on GitHub to continue tracking issues. Bugzilla will remain available for reference in read-only mode. We will continue to work on open Bugzilla bugs, copy them to the new locations as needed for follow-up, and add the new items under Related Links.

Our sincere thanks to everyone who has contributed on this bug tracker over the years. Thanks also for your understanding as we make these adjustments and improvements for the future.


Please create a new report for Bug 14526 on Developer Community or GitHub if you have new information to add and do not yet see a matching new report.

If the latest results still closely match this report, you can use the original description:

  • Export the original title and description: Developer Community HTML or GitHub Markdown
  • Copy the title and description into the new report. Adjust them to be up-to-date if needed.
  • Add your new information.

In special cases on GitHub you might also want the comments: GitHub Markdown with public comments

Related Links:
Status:
REOPENED

Description Mikayla Hutchinson [MSFT] 2013-09-07 19:44:58 UTC
When the debugger tooltip popup on windows, the main window decoration shows as defocused, which is strange.
Comment 1 Cody Russell 2013-10-20 23:58:54 UTC
26c94b2b3d68f73a7476447d81346acee687ff2e
Comment 2 Cody Russell 2013-10-22 17:13:03 UTC
I had to revert this fix because it turns out to affect editing values in the tooltip popup.
Comment 3 Sean Palmer 2014-06-03 20:42:41 UTC
Yeah, well WITH this bug, whenever a debugger tooltip pops up, since it steals the focus, you cannot type in the main text editor.  So if your *intent* was to simply click somewhere and then type (yeah yeah modifying code while debugging) instead what you'll often get is some random debugger watch popup depending on where you randomly left the mouse cursor, then "WTF I can't type?!" because focus is on the popup, grrr, grumble, suffer for months, finally go to file bug only to find that it was fixed and then reverted?!!  ARGH.  I would bump the priority on this one, because it causes no end of hassle when editing while Unity's open for debugging.  (along with many other related popup focus problems, don't even get me started about the code completion popup)
Comment 4 Sean Palmer 2014-06-04 13:24:18 UTC
Here's another prime example.  Say you're debugging something, NOT making any changes.  You go to browse onto an interesting symbol and go to its definition.  Simple enough right?  Click the symbol, hit F12 (go to definition).  Nope, oh, wait, the symbol popped up a value tooltip, which defocused the window, can't even control the debugger itself.  It's a very very bad bug.  You don't even realize what a cardinal sin it is to ever take keyboard focus away without an actual click from the user.  SIN.  This little debugger interactive feature in no way should ever trump basic text editor usability.  Your priorities are very misguided.
Comment 6 Cody Russell 2015-02-21 06:18:12 UTC
Fixed in b627818f26dfb37b39b1a6ac60299f09bd83b7ed
Comment 7 Cody Russell 2015-03-13 15:27:59 UTC
And apparently that commit causes the tooltip to appear on top of other windows that it shouldn't:

https://github.com/mono/monodevelop/commit/b627818f26dfb37b39b1a6ac60299f09bd83b7ed

I may need to revert again. :/
Comment 8 Cody Russell 2015-03-15 14:26:46 UTC
Sorry to do this, but I'm reverting. Let's find another solution.
Comment 9 xamarin-release-manager 2015-03-20 13:12:13 UTC
Fixed in version 6.0.0.324 (new-project-model)